#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hslua
version:              2.3.0
visibility:           public
id:                   hslua-2.3.0-Io7ScF644bv4k2wtOMB2Sx
key:                  hslua-2.3.0-Io7ScF644bv4k2wtOMB2Sx
license:              MIT
copyright:
    © 2007–2012 Gracjan Polak;
    © 2012–2016 Ömer Sinan Ağacan;
    © 2017-2023 Albert Krewinkel

maintainer:           tarleb@hslua.org
author:               Albert Krewinkel, Gracjan Polak, Ömer Sinan Ağacan
homepage:             https://hslua.org/
synopsis:             Bindings to Lua, an embeddable scripting language
description:
    HsLua provides wrappers and helpers
    to bridge Haskell and <https://www.lua.org/ Lua>.

    It builds upon the /lua/ package, which allows to bundle
    a Lua interpreter with a Haskell program.

    Example programs are can be found in the @hslua-examples@
    subdir of the project
    <https://github.com/hslua/hslua repository>.

category:             Foreign
abi:                  ab899dfc0b04dbfc94496971bc46ad5c
exposed:              True
exposed-modules:
    HsLua,
    HsLua.Aeson from hslua-aeson-2.3.0-HprDicMIEmpCSRLIMnLxnm:HsLua.Aeson,
    HsLua.Class.Exposable from hslua-classes-2.3.0-7thD608N9YN4UmTU1qTTLO:HsLua.Class.Exposable,
    HsLua.Class.Invokable from hslua-classes-2.3.0-7thD608N9YN4UmTU1qTTLO:HsLua.Class.Invokable,
    HsLua.Class.Peekable from hslua-classes-2.3.0-7thD608N9YN4UmTU1qTTLO:HsLua.Class.Peekable,
    HsLua.Class.Pushable from hslua-classes-2.3.0-7thD608N9YN4UmTU1qTTLO:HsLua.Class.Pushable,
    HsLua.Class.Util from hslua-classes-2.3.0-7thD608N9YN4UmTU1qTTLO:HsLua.Class.Util,
    HsLua.Core from hslua-core-2.3.1-997dcuxD2LODzwf96aMvc4:HsLua.Core,
    HsLua.Core.Error from hslua-core-2.3.1-997dcuxD2LODzwf96aMvc4:HsLua.Core.Error,
    HsLua.Core.Types from hslua-core-2.3.1-997dcuxD2LODzwf96aMvc4:HsLua.Core.Types,
    HsLua.Core.Utf8 from hslua-core-2.3.1-997dcuxD2LODzwf96aMvc4:HsLua.Core.Utf8,
    HsLua.Marshalling from hslua-marshalling-2.3.0-J4ELRpsGYHgC0iVRKVWWuJ:HsLua.Marshalling,
    HsLua.ObjectOrientation from hslua-objectorientation-2.3.0-8wJUDwkzUfcDNY2nfkWGT7:HsLua.ObjectOrientation,
    HsLua.Packaging from hslua-packaging-2.3.0-AnweP0BpBhdE3zCFnUWoQ3:HsLua.Packaging,
    HsLua.Packaging.Function from hslua-packaging-2.3.0-AnweP0BpBhdE3zCFnUWoQ3:HsLua.Packaging.Function,
    HsLua.Packaging.Module from hslua-packaging-2.3.0-AnweP0BpBhdE3zCFnUWoQ3:HsLua.Packaging.Module,
    HsLua.Packaging.Rendering from hslua-packaging-2.3.0-AnweP0BpBhdE3zCFnUWoQ3:HsLua.Packaging.Rendering,
    HsLua.Typing from hslua-typing-0.1.0-6llLvedf30o6agvYU968yj:HsLua.Typing,
    HsLua.Util

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hslua-2.3.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hslua-2.3.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hslua
hs-libraries:         HShslua-2.3.0-Io7ScF644bv4k2wtOMB2Sx
depends:
    base-4.15.1.0 bytestring-0.10.12.1 containers-0.6.4.1
    exceptions-0.10.4 hslua-aeson-2.3.0-HprDicMIEmpCSRLIMnLxnm
    hslua-classes-2.3.0-7thD608N9YN4UmTU1qTTLO
    hslua-core-2.3.1-997dcuxD2LODzwf96aMvc4
    hslua-marshalling-2.3.0-J4ELRpsGYHgC0iVRKVWWuJ
    hslua-objectorientation-2.3.0-8wJUDwkzUfcDNY2nfkWGT7
    hslua-packaging-2.3.0-AnweP0BpBhdE3zCFnUWoQ3
    hslua-typing-0.1.0-6llLvedf30o6agvYU968yj mtl-2.2.2 text-1.2.5.0

haddock-interfaces:   /usr/share/doc/haskell-hslua/html/hslua.haddock
haddock-html:         /usr/share/doc/haskell-hslua/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

